groovy.util

## Class ObservableMap.PropertyEvent

- java.lang.Object
- - java.util.EventObject
  - - java.beans.PropertyChangeEvent
    - - groovy.util.ObservableMap.PropertyEvent

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ObservableMap.MultiPropertyEvent, ObservableMap.PropertyAddedEvent, ObservableMap.PropertyClearedEvent, ObservableMap.PropertyRemovedEvent, ObservableMap.PropertyUpdatedEvent
  Enclosing class:
    ObservableMap

      public abstract static class ObservableMap.PropertyEvent
      extends java.beans.PropertyChangeEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObservableMap.PropertyEvent(java.lang.Object source, java.lang.String propertyName, java.lang.Object oldValue, java.lang.Object newValue, ObservableMap.ChangeType type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ObservableMap.ChangeType` | `getChangeType()`
    `int` | `getType()`
    `java.lang.String` | `getTypeAsString()`

    - ### Methods inherited from class java.beans.PropertyChangeEvent

      `getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId, toString`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ObservableMap.PropertyEvent

          public ObservableMap.PropertyEvent(java.lang.Object source,
                                     java.lang.String propertyName,
                                     java.lang.Object oldValue,
                                     java.lang.Object newValue,
                                     ObservableMap.ChangeType type)

  - ### Method Detail

    - #### getType

          public int getType()

    - #### getChangeType

          public ObservableMap.ChangeType getChangeType()

    - #### getTypeAsString

          public java.lang.String getTypeAsString()